# Interface methods for submodule: BSplineInterpolationWeightFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FunctionBaseProxy as _FunctionBaseProxy


# Interface methods for class: BSplineInterpolationWeightFunction
class BSplineInterpolationWeightFunctionProxy(_FunctionBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def Evaluate(self, index) -> Sequence[float]:
		""""""
		...

	@overload
	def Evaluate(self, index, weights: Sequence[float], startIndex: Sequence[int]) -> None:
		""""""
		...

